<?php
require_once("DBManager.class.php");

class Aporte{
	private $idaporte;
	private $idafiliado;///
	private $mes;
	private $anio;
	private $aporte;
		
	///////////////////////////////////////////
	public function Crear($idafi,$mes,$nom,$aporte)
	{
		$resp=false;		
		$db= new DBManager();	
		$f = implode("-", array_reverse(explode("-", $f)));	
		if($db->_execute("INSERT INTO aportes(idaporte,idafiliado,mes,anio,aporte) VALUES(null,".$idafi.",'".$mes."','".$nom."',".$aporte.")"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorMes($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select idaporte,idafiliado,mes,anio,aporte from aportes where(mes ='".$v."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idaporte"	    => $rs->fields["idaporte"],
									"idafiliado"	    => $rs->fields["idafiliado"],
									"mes" 	    => $rs->fields["mes"],
									"anio" 	=> $rs->fields["anio"],
									"aporte" 	=> $rs->fields["aporte"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select idaporte,idafiliado,mes,anio,aporte from aportes where(idaporte = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                 $this->idaporte=$rs->fields["idaporte"];
					  $this->idafiliado=$rs->fields["idafiliado"];
					  $this->mes=$rs->fields["mes"];
				      $this->anio=$rs->fields["anio"];
					  $this->aporte=$rs->fields["aporte"];
					  
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	////////////////////////////////////////////	
	
	public function Actualizar($idafi,$mes,$nom,$fn,$paren,$aporte)			
	{
		$resp=false;		
		$db= new DBManager();	
		$fn = implode("-",array_reverse(explode("-",$fn)));	
		if($db->_execute("update aportes set idafiliado = ".$idafi.", mes='".$mes."',anio = '".$nom."', aporte=".$aporte." where (idaporte=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	/////////////////////////////////
	public function ListaPorIdafiliado($id)
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select idaporte,idafiliado,mes,anio,aporte from aportes where idafiliado=".$id." ");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idaporte"	    => $rs->fields["idaporte"],
									"idafiliado"	    => $rs->fields["idafiliado"],
									"mes" 	    => $rs->fields["mes"],
									"anio" 	=> $rs->fields["anio"],
									"aporte" 	=> $rs->fields["aporte"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM aportes WHERE (idaporte=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////						
	public function getidaporte(){ return $this->idaporte;}
	public function getidafiliado(){ return $this->idafiliado;}
	public function getanio(){ return $this->anio;}
	public function getmes(){ return $this->mes;}
	public function getaporte(){ return $this->aporte;}
	
	}
?>
